using System;

namespace ConsoleApp4
{
    class Program
    {
        struct vaga
        {
            public int index, tezinad,tezinag;
        }

        static void Main(string[] args)
        {
            int N, S;
            string[] s=Console.ReadLine().Split();
            N=int.Parse(s[0]);
            S=int.Parse(s[1]);
            vaga[] v = new vaga[N];
            for (int i = 0;i<N;i++)
            {
                s=Console.ReadLine().Split();
                int D, G;
                D=int.Parse(s[0]);
                G=int.Parse(s[1]);
                v[i].tezinad = D;
                v[i].tezinag = G;
            }
            for (int i = 0; i < S;i++)
            {
                int br = 0;
                int l, d, x;
                s = Console.ReadLine().Split();
                l=int.Parse(s[0]);
                d=int.Parse(s[1]);
                x=int.Parse(s[2]);
                for (int j =l-1 ; j < d; j++)
                {
                    if (x >= v[j].tezinad && x <= v[j].tezinag)
                        br++;
                }
                Console.WriteLine(br);
            }

        }
    }
}